## openjdk-8 8u302-b08

=== debian/changelog ===
openjdk-8 (8u302-b08-1~deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Provide builds for wheezy, jessie, stretch, buster, bullseye
  * Disable tests (debian/README.source documents why they fail)
  * Effort sponsored by ⮡ tarent

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 30 Jul 2021 03:00:20 +0200

openjdk-8 (8u302-b08-1) unstable; urgency=medium

  * New upstream release (GA)
  * Security fixes:
    - JDK-8256157: Improve bytecode assembly
    - JDK-8256491: Better HTTP transport
    - JDK-8258432, CVE-2021-2341: Improve file transfers
    - JDK-8260453: Improve Font Bounding
    - JDK-8260960: Signs of jarsigner signing
    - JDK-8260967, CVE-2021-2369: Better jar file validation
    - JDK-8262380: Enhance XML processing passes
    - JDK-8262403: Enhanced data transfer
    - JDK-8262410: Enhanced rules for zones
    - JDK-8262477: Enhance String Conclusions
    - JDK-8262967: Improve Zip file support
    - JDK-8264066, CVE-2021-2388: Enhance compiler validation
    - JDK-8264079: Improve abstractions
    - JDK-8264460: Improve NTLM support
  * Other changes: see
    https://mail.openjdk.java.net/pipermail/jdk8u-dev/2021-July/014118.html
  * Add or update d/copyright lines, based on diffing upstream changes
  * Refresh all patches that are actually used and drop no longer needed
    d/p/compare-pointer-with-literal.patch
  * Fix spelling in d/rules
  * Upload sponsored by ⮡ tarent

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 29 Jul 2021 20:45:23 +0200

openjdk-8 (8u292-b10-3) unstable; urgency=medium

  * Re-upload with actually regenerated debian/control, oops

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 24 Jun 2021 00:05:48 +0200

openjdk-8 (8u292-b10-2) unstable; urgency=low

  * Fix regression in /etc/java-8-openjdk/accessibility.properties
  * Drop Suggests nōnexistent icedtea-8-plugin
  * Fix binfmts error with patch from bug (Closes: #822348)
  * Create /usr/share/man/man1 if it doesn’t exist, for crippled
    container images (Closes: #863199)
  * Provide java-runtime{,-headless} (Closes: #906111)
  * Mark openjdk-8-doc as M-A:foreign
  * Update “It was downloaded from” in d/copyright (cf. #970517)

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 15 Jun 2021 22:23:01 +0200

openjdk-8 (8u292-b10-1) unstable; urgency=medium

  * Source-only upload after the previous bootstrap binary one
  * Change -Xmx1024m to -Xmx1000m in icedtea-sound compilation
    to work with mipsel’s memory layout (and sh4)
  * Don’t set old-style ALT_ environment variables, they are ignored
  * Create the origtgz in a hopefully reproducible way
  * Merge openjdk-8 (8u292-b10-0+deb9u1)
    - Revert bogus reversion of changes from previous uploads
    - Add missing changelog entry for 8u275
    - Revert *buntu ESM-related changes
    - Undo an inconsistency in fetch-orig
  * Fix whitespace
  * Upgrade aarch32 to 8u292 GA
  * Build with reproducible LC_ALL=C setting
  * Obtain origtgz from https or, when not possible (icedtea-sound),
    check SHA256 against one I manually downloaded and checked, using
    the (expired…) key from pyconfigure’s signing keyring, which,
    unlike the keyserver network, contains the key used
  * Abort fetching origtgz if it fails, don’t soldier on to fail later
  * Document reasons some tests fail (more building on older releases)
  * Update lintian overrides (for sid)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 26 Apr 2021 17:00:54 +0200

openjdk-8 (8u292-b10-0+deb9u1) stretch-security; urgency=medium

  * Merge with Ubuntu.
  * Update to 8u292-b10 (GA).

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 21 Apr 2021 13:13:15 +0200

openjdk-8 (8u282-b08-2) unstable; urgency=medium

  * Reupload to sid, under new maintainership (Debian Java team);
    cf. https://lists.debian.org/debian-java/2021/03/msg00021.html
    (and surrounding thread); sponsored by ⮡ tarent
  * Readd improvements from 8u275-b01-1, lost changelog entries
  * Add NEWS to openjdk-8-jre-headless (because all other depend on
    that) regarding OpenJDK 8 not being supported
  * Use GCC 10 to build on bullseye, sid, groovy and hirsute (that
    means GCC 9 on focal only) (Closes: #978519)
  * Silence postinst warning about removed -XX:PermSize option
  * Switch to mktemp(1)
  * Drop unused patches (keep a couple which just need updating)
  * Update README.source a little
  * G/C long-dead code from postinst, too
  * If the testsuite is disabled during generation of debian/control
    omit test-only dependencies
  * Upload with binaries built using the previous openjdk-8 binaries
    because openjdk-8-jdk is required for bootstrapping; 7 works but
    11 cannot be used :/ a source-only upload will follow
  * Skip testsuite for first bootstrap, saving lots of time/CPU
  * Address some issues lintian reported; update a number of overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 26 Mar 2021 00:48:09 +0100

openjdk-8 (8u282-b08-1) bullseye; urgency=medium

  * Team upload.
  * Provide builds for bullseye/sid (for a personal repository),
    buster (for the same), stretch (for LTS), jessie (for ELTS)
    and wheezy (also for that personal repository)
  * Move @bd_bootstrap@ high up in Build-Depends so the resolver tries
    to fulfil it first
  * Require an openjdk-8 to bootstrap (a previous build)
  * Let openjdk-8-jre-headless fulfill default-jre-headless (>= 2:1.8)
    in <!nocheck>; the latter is only used with distros whose default
    JRE is older than 8, to avoid accidental use of 11

 -- Thorsten Glaser <t.glaser@tarent.de>  Sun, 14 Feb 2021 00:42:46 +0100

openjdk-8 (8u275-b01-1~deb9u1) stretch-security; urgency=medium

  * Team upload.
  * Provide 8u275-b01 (GA) regression fixes

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 02 Dec 2020 11:15:53 +0100

openjdk-8 (8u275-b01-1) unstable; urgency=medium

  * Team upload.
  * Merge back into Debian
    - Revert Maintainer change
  * Drop unused patch (which is already merged upstream)


=== debian/control ===
Source: openjdk-8
Section: java
Priority: optional
Maintainer: Java Maintenance <debian-java@lists.debian.org>
Uploaders: Thorsten Glaser <tg@mirbsd.de>
Build-Depends: debhelper (>= 9), quilt, m4, lsb-release, zip, unzip,
  openjdk-8-jdk,
  sharutils, gawk, cpio, pkg-config, procps, wdiff, tzdata,
   time,
  autoconf (>= 2.69), automake, autotools-dev, ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2),
  g++-6, libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libgtk2.0-dev,  libffi-dev,
  zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, libpulse-dev (>= 0.9.12) [!alpha], systemtap-sdt-dev [!sh4],
  libnss3-dev (>= 2:3.17.1), openjdk-8-jdk-headless <cross>, dpkg-dev (>= 1.17.14),
Standards-Version: 4.5.1
Homepage: http://openjdk.java.net/
VCS-git: https://evolvis.org/anonscm/git/alioth/openjdk-8.git -b master
VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/openjdk-8.git;a=shortlog;h=refs/heads/master

Package: openjdk-8-jdk-headless
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-8-jre-headless (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Suggests: openjdk-8-demo, openjdk-8-source
Provides: java-sdk-headless, java2-sdk-headless,
  java5-sdk-headless, java6-sdk-headless,
  java7-sdk-headless, java8-sdk-headless,
Breaks: openjdk-8-jre-headless (<< 8u232-b07-1),
Replaces: openjdk-8-jdk (<< 8u72-b15-4), openjdk-8-jre-headless (<< 8u232-b07-1),
Description: OpenJDK Development Kit (JDK) (headless)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This binary package contains almost the full JDK, except for some
 tools (appletviewer, jconsole) and headers (jawt) that make sense
 only in GUI environments.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-8-jre-headless
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: ${jredefault:Depends}, ${cacert:Depends},
  ${tzdata:Depends}, ${jcommon:Depends}, ${dlopenhl:Depends},
  ${mountpoint:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dlopenhl:Recommends}
Suggests: libnss-mdns,
  fonts-dejavu-extra,
  fonts-ipafont-gothic, fonts-ipafont-mincho, fonts-wqy-microhei, fonts-wqy-zenhei, fonts-indic,
Provides: java-runtime-headless, java2-runtime-headless,
  java5-runtime-headless, java6-runtime-headless,
  java7-runtime-headless, java8-runtime-headless,
  ${defaultvm:Provides}, ${jvm:Provides}
Breaks: oracle-java8-installer (<< 8u77+8u77arm-1),
  ${jrehl:Breaks}
Description: OpenJDK Java runtime, using ${vm:Name} (headless)
 Minimal Java runtime - needed for executing non GUI Java programs,
 using ${vm:Name}.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-8-jdk
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-8-jre (= ${binary:Version}),
  openjdk-8-jdk-headless (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Recommends: libxt-dev
Suggests: openjdk-8-demo, openjdk-8-source, visualvm
Provides: java-sdk, java2-sdk, java5-sdk, java6-sdk,
  java7-sdk, java8-sdk, java-compiler
Description: OpenJDK Development Kit (JDK)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This binary package extends the headless JDK with GUI-specific
 utilities, libraries and, as necessary, package dependencies.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-8-jre
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-8-jre-headless (= ${binary:Version}),
  ${xandsound:Depends},
  ${dlopenjre:Depends}, ${dep:bridge},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dlopenjre:Recommends}, fonts-dejavu-extra
Replaces: openjdk-8-jre-headless (<< 8u20~b20-3)
Provides: java-runtime, java2-runtime,
  java5-runtime, java6-runtime,
  java7-runtime, java8-runtime
Description: OpenJDK Java runtime, using ${vm:Name}
 Full Java runtime environment - needed for executing Java GUI and Webstart
 programs, using ${vm:Name}.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-8-demo
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-8-jre (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Description: Java runtime based on OpenJDK (demos and examples)
 OpenJDK Java runtime
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-8-source
Architecture: all
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-8-jre (>= ${source:Version}),
  openjdk-8-jdk (>= ${binary:Version}),
  ${misc:Depends}
Replaces: openjdk-8-jdk (<< 8u20~b26-1~)
Description: OpenJDK Development Kit (JDK) source files
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the Java programming language source files
 (src.zip) for all classes that make up the Java core API.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-8-doc
Section: doc
Pre-Depends: ${dpkg:Depends}
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: openjdk-8-jdk
Description: OpenJDK Development Kit (JDK) documentation
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the API documentation.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-8-dbg
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Section: debug
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-8-jre-headless (= ${binary:Version}),
   ${misc:Depends}
Recommends: openjdk-8-jre (= ${binary:Version})
Suggests: openjdk-8-jdk (= ${binary:Version})
Description: Java runtime based on OpenJDK (debugging symbols)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the debugging symbols.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-8-jre-zero
Architecture: amd64 i386 arm64 ppc64 ppc64el sparc64 armhf kfreebsd-amd64 kfreebsd-i386
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-8-jre-headless (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: ${zerovm:Provides}
Description: Alternative JVM for OpenJDK, using Zero/Shark
 The package provides an alternative runtime using the Zero VM and the
 Shark Just In Time Compiler (JIT).  Built on architectures in addition
 to the Hotspot VM as a debugging aid for those architectures which don't
 have a Hotspot VM.
 .
 The VM is started with the option `-zero'. See the README.Debian for details.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

unexport LANG
export LC_ALL=C
unexport LANGUAGE

dh_version := $(shell dpkg-query -f '$${Version}\n' -W debhelper | sed -n 's/^\(.\).*/\1/p')

# using brace expansion and substring replacements (${var:0:2}).
SHELL = /bin/bash

# use gnu time in verbose mode if available, otherwise default to the shell builtin
ifneq (,$(wildcard /usr/bin/time))
  TIME = /usr/bin/time -v
else
  TIME = time
endif

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

DPKG_VARS		:= $(shell dpkg-architecture)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_BUILD_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_ARCH)
DEB_HOST_ARCH_CPU	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

PATH := $(CURDIR)/bin:$(PATH)
export PATH

CHANGELOG_VARS := $(shell dpkg-parsechangelog | sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
PKGSOURCE := $(call vafilt,$(CHANGELOG_VARS),Source)
PKGVERSION := $(call vafilt,$(CHANGELOG_VARS),Version)

distribution := $(shell lsb_release --id --short)
distrel := $(shell lsb_release --codename --short)
derivative := $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; \
               elif dpkg-vendor --derives-from Debian; then echo Debian; \
               else echo Unknown; fi)
ifeq ($(distrel),n/a)
  distrel := sid
endif

multiarch_dir = /$(DEB_HOST_MULTIARCH)

hotspot_aarch32_archs = armhf
hotspot_aarch64_archs = arm64

hotspot_archs	= amd64 i386 arm64 ppc64 ppc64el sparc64 \
	$(hotspot_aarch32_archs) kfreebsd-amd64 kfreebsd-i386
jtreg_archs	= $(hotspot_archs) alpha arm64 armel armhf \
		  ia64 mips mipsel mips64 mips64el powerpc \
		  powerpcspe ppc64 ppc64el s390x sh4 x32
# FIXME: use bootcycle builds for zero archs?
bootcycle_build  = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),yes)
ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
  bootcycle_build  =
endif

shark_archs	= amd64 i386 kfreebsd-amd64 kfreebsd-i386
# Shark build but just crash
shark_archs	=

ifneq (,$(filter $(distrel),lucid precise quantal raring saucy trusty utopic vivid wily lenny etch squeeze wheezy jessie))
  is_default = no
else
  is_default = yes
endif

is_upstream_release = yes

srcdir		= src
builddir	= build
zbuilddir	= build-zero

VENDOR		= openjdk
Vendor		= OpenJDK
TOP		= usr/lib/jvm
origin		= openjdk
basename	= openjdk-$(shortver)
ifneq (,$(filter $(DEB_HOST_ARCH), $(hotspot_archs)))
  priority	= $(if $(filter yes, $(is_default)),1081,1069)
  vm_name	= Hotspot JIT
else ifneq (,$(filter $(DEB_HOST_ARCH), $(shark_archs)))
  priority	= $(if $(filter yes, $(is_default)),1075,1065)
  vm_name	= Hotspot Shark
else
  priority	= $(if $(filter yes, $(is_default)),1074,1063)
  vm_name	= Hotspot Zero
endif
jvmver		= 1.8.0
shortver	= 8
updatever	:= $(shell echo $(PKGVERSION) | sed -n 's/^$(shortver)u\([0-9]\+\).*/\1/p')
buildver	:= $(shell echo $(PKGVERSION) | sed -n 's/^$(shortver)[^-]*-\(b[0-9]\+\).*/\1/p')

ifneq (,$(DEB_HOST_MULTIARCH))
  jdirname	= java-$(shortver)-$(origin)-$(DEB_HOST_ARCH)
  jdiralias	= java-$(jvmver)-$(origin)-$(DEB_HOST_ARCH)
  basedir	= $(TOP)/$(jdirname)
  commonbasedir	= $(TOP)/java-$(shortver)-$(origin)-common
  commonbasedir	= $(basedir)
  etcdir	= etc/java-$(shortver)-$(origin)
else
  jdirname	= java-$(shortver)-$(origin)
  jdiralias	= java-$(jvmver)-$(origin)
  basedir	= $(TOP)/$(jdirname)
  commonbasedir	= $(TOP)/java-$(shortver)-$(origin)
  etcdir	= etc/$(jdirname)
endif
security	= $(etcdir)/security
ifneq ($(bootcycle_build),yes)
  jreimg	= images/j2re-image
  sdkimg	= images/j2sdk-image
  build_target	= images
else
  jreimg	= bootcycle-build/images/j2re-image
  sdkimg	= bootcycle-build/images/j2sdk-image
  build_target	= bootcycle-images
endif

# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
COMMA=,
SPACE = $(EMPTY) $(EMPTY)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
ifneq (,$(filter $(DEB_HOST_ARCH), armel))
  with_check = disabled running check on $(DEB_HOST_ARCH)
endif
with_check = disabled for this build

with_docs = $(if $(findstring nodoc, $(DEB_BUILD_OPTIONS)),,yes)
ifneq (,$(findstring shark, $(PKGSOURCE)))
  with_docs = disabled for shark
endif

arch_map	:= alpha=alpha arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i586 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le sparc=sparc sparc64=sparcv9 sh4=sh s390x=s390x ia64=ia64 x32=x32
archdir_map	:= alpha=alpha arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i386 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le sparc=sparc sparc64=sparcv9 sh4=sh s390x=s390x ia64=ia64 x32=x32

jvmarch		:= $(strip $(patsubst $(DEB_HOST_ARCH_CPU)=%, %, \
			$(filter $(DEB_HOST_ARCH_CPU)=%, $(arch_map))))
archdir		:= $(strip $(patsubst $(DEB_HOST_ARCH_CPU)=%, %, \
			$(filter $(DEB_HOST_ARCH_CPU)=%, $(archdir_map))))
ifeq ($(DEB_HOST_ARCH),x32)
  jvmarch := x32
  archdir := x32
endif

default_vm = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),hotspot,zero)
hotspot_version = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),default,zero)
hotspot_version = default
# FIXME: 8u91 breaks zero, the jdk8-aarch64 hotspot has these issues fixed,
# without any updates to the jdk8u project.
ifneq (,$(filter $(DEB_HOST_ARCH),$(hotspot_aarch64_archs)))
  hotspot_version = aarch64
endif
ifneq (,$(filter $(DEB_HOST_ARCH),$(hotspot_aarch32_archs)))
  hotspot_version = aarch32
endif

any_archs = alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64

ifneq (,$(filter $(distrel),xenial))
  transitional_jamvm_pkg = yes
endif

altshark_archs = powerpc ppc64 ppc64el
# Shark build but just crash
altshark_archs =

# Don't build zero alternate vm on Trusty
ifeq (,$(filter $(distrel),trusty))
  altzero_archs = $(filter-out sparc, $(hotspot_archs)) $(altshark_archs)
endif

ifeq (,$(filter noaltzero, $(DEB_BUILD_OPTIONS))$(filter noaltshark, $(DEB_BUILD_OPTIONS)))
  ifneq (,$(filter $(DEB_HOST_ARCH), $(altzero_archs)))
    ifneq (,$(filter $(DEB_HOST_ARCH), $(shark_archs) $(altshark_archs)))
      alternate_vms += shark
      zero_dir = shark
    else
      alternate_vms += zero
      zero_dir = zero
    endif
  endif
endif

BOOTJDK_HOME := $(strip $(subst /bin/javac,, $(firstword $(wildcard \
			/usr/lib/jvm/java-8-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
			/usr/lib/jvm/java-7-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
			/usr/lib/jvm/java-7-openjdk/bin/javac \
		))))

ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
  BUILDJDK_HOME = $(CURDIR)/$(builddir)/$(sdkimg)
else
  BUILDJDK_HOME = $(BOOTJDK_HOME)
endif

OPENJDK_VERSION = jdk$(shortver)u$(updatever)-$(buildver)

# for Hotspot: hotspot/make/linux/makefiles/vm.make
# Don't overwrite Hotspot opt level :
# -O3 is already default option for hotspot

# FIXME: ftbfs with -Werror=format-security
dpkg_buildflags_hs = \
	DEB_CFLAGS_MAINT_STRIP="-O2 -O3 -Werror=format-security" \
	DEB_CXXFLAGS_MAINT_STRIP="-O2 -O3 -Werror=format-security"
# jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
dpkg_buildflags_hs += \
	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \
	DEB_LDFLAGS_MAINT_APPEND="-Xlinker -z -Xlinker relro -Xlinker -Bsymbolic-functions"
dpkg_buildflags_hs += dpkg-buildflags
export EXTRA_CPPFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)

## openjdk-8 8u312

=== src/share/demo/java2d/J2DBench/Makefile ===
#
# Copyright (c) 2002, 2007, Oracle and/or its affiliates. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#   - Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#   - Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#
#   - Neither the name of Oracle nor the names of its
#     contributors may be used to endorse or promote products derived
#     from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
# IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

SOURCEPATH=src
CLASSES=build
DIST=dist
RESOURCES=resources

J2DBENCH_CLASSES = \
	$(CLASSES)/j2dbench/J2DBench.class \
	$(CLASSES)/j2dbench/Destinations.class \
	$(CLASSES)/j2dbench/Group.class \
	$(CLASSES)/j2dbench/Result.class \
	$(CLASSES)/j2dbench/Modifier.class \
	$(CLASSES)/j2dbench/Node.class \
	$(CLASSES)/j2dbench/Option.class \
	$(CLASSES)/j2dbench/ResultSet.class \
	$(CLASSES)/j2dbench/TestEnvironment.class \
	$(CLASSES)/j2dbench/Test.class \
	$(CLASSES)/j2dbench/ui/EnableButton.class \
	$(CLASSES)/j2dbench/ui/CompactLayout.class \
	$(CLASSES)/j2dbench/tests/ImageTests.class \
	$(CLASSES)/j2dbench/tests/RenderTests.class \
	$(CLASSES)/j2dbench/tests/PixelTests.class \
	$(CLASSES)/j2dbench/tests/MiscTests.class \
	$(CLASSES)/j2dbench/tests/iio/IIOTests.class \
	$(CLASSES)/j2dbench/tests/iio/InputTests.class \
	$(CLASSES)/j2dbench/tests/iio/InputImageTests.class \
	$(CLASSES)/j2dbench/tests/iio/InputStreamTests.class \
	$(CLASSES)/j2dbench/tests/iio/OutputTests.class \
	$(CLASSES)/j2dbench/tests/iio/OutputImageTests.class \
	$(CLASSES)/j2dbench/tests/iio/OutputStreamTests.class \
	$(CLASSES)/j2dbench/tests/text/TextConstructionTests.class \
	$(CLASSES)/j2dbench/tests/text/TextMeasureTests.class \
	$(CLASSES)/j2dbench/tests/text/TextRenderTests.class \
	$(CLASSES)/j2dbench/tests/text/TextTests.class \
	$(CLASSES)/j2dbench/tests/GraphicsTests.class

J2DANALYZER_CLASSES = \
	$(CLASSES)/j2dbench/report/IIOComparator.class \
	$(CLASSES)/j2dbench/report/HTMLSeriesReporter.class \
	$(CLASSES)/j2dbench/report/J2DAnalyzer.class \
	$(CLASSES)/j2dbench/report/XMLHTMLReporter.class

J2DBENCH_RESOURCES = \
	$(CLASSES)/j2dbench/tests/iio/images \
	$(CLASSES)/j2dbench/tests/text/textdata

SCM_DIRs = .hg .svn CVS RCS SCCS Codemgr_wsdata deleted_files

all: mkdirs J2DBench.jar J2DAnalyzer.jar

run: mkdirs J2DBench.jar
	java -jar J2DBench.jar

analyze: mkdirs J2DAnalyzer.jar
	java -jar J2DAnalyzer.jar

J2DBench.jar: \
	$(J2DBENCH_CLASSES) $(J2DBENCH_RESOURCES) \
	$(CLASSES)/j2dbench.manifest
	jar cvmf $(CLASSES)/j2dbench.manifest $(DIST)/J2DBench.jar -C $(CLASSES) j2dbench

J2DAnalyzer.jar: $(J2DANALYZER_CLASSES) $(CLASSES)/j2danalyzer.manifest
	jar cvmf $(CLASSES)/j2danalyzer.manifest \
		$(DIST)/J2DAnalyzer.jar -C $(CLASSES) j2dbench/report

$(CLASSES)/j2dbench/tests/iio/images: $(RESOURCES)/images
	cp -r $< $@
	cd $@ && rm -rf $(SCM_DIRs)

$(CLASSES)/j2dbench/tests/text/textdata: $(RESOURCES)/textdata
	cp -r $< $@
	cd $@ && rm -rf $(SCM_DIRs)

$(CLASSES)/j2dbench.manifest:
	echo "Main-Class: j2dbench.J2DBench" > $@

$(CLASSES)/j2danalyzer.manifest:
	echo "Main-Class: j2dbench.report.J2DAnalyzer" > $@

$(DIST):
	mkdir $(DIST)
$(CLASSES):
	mkdir $(CLASSES)

mkdirs: $(DIST) $(CLASSES)

$(CLASSES)/j2dbench/%.class: $(SOURCEPATH)/j2dbench/%.java
	javac -source 1.2 -target 1.2 -d $(CLASSES) -sourcepath $(SOURCEPATH) $<

clean:
	rm -rf $(CLASSES)
	rm -rf $(DIST)

=== src/share/sample/vm/clr-jvm/Makefile ===
#
# Copyright (c) 2006, 2008, Oracle and/or its affiliates. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#   - Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#   - Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#
#   - Neither the name of Oracle nor the names of its
#     contributors may be used to endorse or promote products derived
#     from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
# IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

all: jinvoker.dll invoked.class invoker.exe

jinvoker.dll: jinvoker.obj Makefile
	cl /LD /o jinvoker.dll jinvoker.obj

jinvoker.obj: jinvoker.cpp jinvokerExp.h Makefile
	cl /Fojinvoker.obj /DJINVOKEREEXPORT /c jinvoker.cpp

invoked.class: invoked.java Makefile
	javac invoked.java

invoker.exe: invoker.cs Makefile
	csc /unsafe invoker.cs

## openjdk-8 8u312-b07

=== debian/changelog ===
openjdk-8 (8u312-b07-0ubuntu1) jammy; urgency=medium

  * Update to 8u312-b07 (GA).
  * Security fixes
    - JDK-8130183, CVE-2021-35588: InnerClasses: VM permits wrong Throw
      ClassFormatError if InnerClasses attribute's inner_class_info_index is 0.
    - JDK-8161016: Strange behavior of URLConnection with proxy.
    - JDK-8163326, CVE-2021-35550: Update the default enabled cipher suites
      preference.
    - JDK-8254967, CVE-2021-35565: com.sun.net.HttpsServer spins on TLS
      session close.
    - JDK-8263314: Enhance XML Dsig modes.
    - JDK-8265167, CVE-2021-35556: Richer Text Editors.
    - JDK-8265574: Improve handling of sheets.
    - JDK-8265580, CVE-2021-35559: Enhanced style for RTF kit.
    - JDK-8265776: Improve Stream handling for SSL.
    - JDK-8266097, CVE-2021-35561: Better hashing support.
    - JDK-8266103: Better specified spec values.
    - JDK-8266109: More Resilient Classloading.
    - JDK-8266115: More Manifest Jar Loading.
    - JDK-8266137, CVE-2021-35564: Improve Keystore integrity.
    - JDK-8266689, CVE-2021-35567: More Constrained Delegation.
    - JDK-8267086: ArrayIndexOutOfBoundsException in
      java.security.KeyFactory.generatePublic.
    - JDK-8267712: Better LDAP reference processing.
    - JDK-8267729, CVE-2021-35578: Improve TLS client handshaking.
    - JDK-8267735, CVE-2021-35586: Better BMP support.
    - JDK-8268193: Improve requests of certificates.
    - JDK-8268199: Correct certificate requests.
    - JDK-8268506: More Manifest Digests.
    - JDK-8269618, CVE-2021-35603: Better session identification.
    - JDK-8269624: Enhance method selection support.
    - JDK-8270398: Enhance canonicalization.
    - JDK-8270404: Better canonicalization.
  * Use mktemp instead of tempfile in maintainer script.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Nov 2021 14:27:30 +0200

openjdk-8 (8u302-b08-0ubuntu2) impish; urgency=medium

  * Update to 8u302-b08 (GA).
  * Security fixes
    - JDK-8256157: Improve bytecode assembly
    - JDK-8256491: Better HTTP transport
    - JDK-8258432, CVE-2021-2341: Improve file transfers
    - JDK-8260453: Improve Font Bounding
    - JDK-8260960: Signs of jarsigner signing
    - JDK-8260967, CVE-2021-2369: Better jar file validation
    - JDK-8262380: Enhance XML processing passes
    - JDK-8262403: Enhanced data transfer
    - JDK-8262410: Enhanced rules for zones
    - JDK-8262477: Enhance String Conclusions
    - JDK-8262967: Improve Zip file support
    - JDK-8264066, CVE-2021-2388: Enhance compiler validation
    - JDK-8264079: Improve abstractions
    - JDK-8264460: Improve NTLM support
  * Other changes:
    See https://mail.openjdk.java.net/pipermail/jdk8u-dev/2021-July/014118.html

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Aug 2021 16:45:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,25 @@
 Source: openjdk-8
 Section: java
 Priority: optional
-Maintainer: Java Maintenance <debian-java@lists.debian.org>
-Uploaders: Thorsten Glaser <tg@mirbsd.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
+Uploaders: Matthias Klose <doko@ubuntu.com>
 Build-Depends: debhelper (>= 9), quilt, m4, lsb-release, zip, unzip,
-  openjdk-8-jdk,
   sharutils, gawk, cpio, pkg-config, procps, wdiff, tzdata,
-   time,
-  autoconf (>= 2.69), automake, autotools-dev, ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2),
-  g++-6, libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libgtk2.0-dev,  libffi-dev,
+  xvfb<!nocheck>, xauth<!nocheck>, xfonts-base<!nocheck>, libgl1-mesa-dri [!x32]<!nocheck>, xfwm4<!nocheck>, x11-xkb-utils<!nocheck>, dbus-x11<!nocheck>,
+  jtreg<!nocheck>, testng<!nocheck>, time,
+  fastjar (>= 2:0.96-0ubuntu2),
+  autoconf (>= 2.69), automake, autotools-dev, ant, ant-optional,
+  g++-11,
+  openjdk-8-jdk | openjdk-7-jdk,
+  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libgtk2.0-dev,
+  libffi-dev, 
   zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, libpulse-dev (>= 0.9.12) [!alpha], systemtap-sdt-dev [!sh4],
   libnss3-dev (>= 2:3.17.1), openjdk-8-jdk-headless <cross>, dpkg-dev (>= 1.17.14),
-Standards-Version: 4.5.1
+Standards-Version: 4.5.0
 Homepage: http://openjdk.java.net/
-VCS-git: https://evolvis.org/anonscm/git/alioth/openjdk-8.git -b master
-VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/openjdk-8.git;a=shortlog;h=refs/heads/master
+Vcs-Bzr: http://bazaar.launchpad.net/~openjdk/openjdk/openjdk8
+Vcs-Browser: https://code.launchpad.net/~openjdk/openjdk/openjdk8
 
 Package: openjdk-8-jdk-headless
 Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
@@ -32,10 +37,6 @@
  OpenJDK is a development environment for building applications,
  applets, and components using the Java programming language.
  .
- This binary package contains almost the full JDK, except for some
- tools (appletviewer, jconsole) and headers (jawt) that make sense
- only in GUI environments.
- .
  The packages are built using the IcedTea build support and patches
  from the IcedTea project.
 
@@ -51,7 +52,7 @@
 Suggests: libnss-mdns,
   fonts-dejavu-extra,
   fonts-ipafont-gothic, fonts-ipafont-mincho, fonts-wqy-microhei, fonts-wqy-zenhei, fonts-indic,
-Provides: java-runtime-headless, java2-runtime-headless,
+Provides: java2-runtime-headless,
   java5-runtime-headless, java6-runtime-headless,
   java7-runtime-headless, java8-runtime-headless,
   ${defaultvm:Provides}, ${jvm:Provides}
@@ -79,9 +80,6 @@
  OpenJDK is a development environment for building applications,
  applets, and components using the Java programming language.
  .
- This binary package extends the headless JDK with GUI-specific
- utilities, libraries and, as necessary, package dependencies.
- .
  The packages are built using the IcedTea build support and patches
  from the IcedTea project.
 
@@ -94,8 +92,9 @@
   ${dlopenjre:Depends}, ${dep:bridge},
   ${shlibs:Depends}, ${misc:Depends}
 Recommends: ${dlopenjre:Recommends}, fonts-dejavu-extra
+Suggests: icedtea-8-plugin, ${pkg:pulseaudio}
 Replaces: openjdk-8-jre-headless (<< 8u20~b20-3)
-Provides: java-runtime, java2-runtime,
+Provides: java2-runtime,
   java5-runtime, java6-runtime,
   java7-runtime, java8-runtime
 Description: OpenJDK Java runtime, using ${vm:Name}
@@ -107,6 +106,7 @@
 
 Package: openjdk-8-demo
 Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
+Priority: optional
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-8-jre (= ${binary:Version}),
   ${shlibs:Depends}, ${misc:Depends}
@@ -118,6 +118,7 @@
 
 Package: openjdk-8-source
 Architecture: all
+Priority: optional
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-8-jre (>= ${source:Version}),
   openjdk-8-jdk (>= ${binary:Version}),
@@ -137,7 +138,7 @@
 Section: doc
 Pre-Depends: ${dpkg:Depends}
 Architecture: all
-Multi-Arch: foreign
+Priority: optional
 Depends: ${misc:Depends}
 Suggests: openjdk-8-jdk
 Description: OpenJDK Development Kit (JDK) documentation
@@ -152,6 +153,7 @@
 Package: openjdk-8-dbg
 Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
 Multi-Arch: same
+Priority: optional
 Section: debug
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-8-jre-headless (= ${binary:Version}),
@@ -168,13 +170,14 @@
  from the IcedTea project.
 
 Package: openjdk-8-jre-zero
-Architecture: amd64 i386 arm64 ppc64 ppc64el sparc64 armhf kfreebsd-amd64 kfreebsd-i386
+Architecture: amd64 i386 arm64 ppc64 ppc64el sparc64 armhf kfreebsd-amd64 kfreebsd-i386 
 Multi-Arch: same
+Priority: optional
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-8-jre-headless (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Provides: ${zerovm:Provides}
 Description: Alternative JVM for OpenJDK, using Zero/Shark
- The package provides an alternative runtime using the Zero VM and the
+ The package provides an alternative runtime using the Zero VM and the 
  Shark Just In Time Compiler (JIT).  Built on architectures in addition
  to the Hotspot VM as a debugging aid for those architectures which don't
  have a Hotspot VM.

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-unexport LANG
-export LC_ALL=C
-unexport LANGUAGE
+unexport LANG LC_ALL
 
 dh_version := $(shell dpkg-query -f '$${Version}\n' -W debhelper | sed -n 's/^\(.\).*/\1/p')
 
@@ -134,7 +132,10 @@
 ifneq (,$(filter $(DEB_HOST_ARCH), armel))
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
-with_check = disabled for this build
+ifneq (,$(filter $(distrel),precise))
+  with_check = disabled running check on $(distrel)
+endif
+#with_check = disabled for this build
 
 with_docs = $(if $(findstring nodoc, $(DEB_BUILD_OPTIONS)),,yes)
 ifneq (,$(findstring shark, $(PKGSOURCE)))

## openjdk-8 8u322-b06

=== debian/changelog ===
openjdk-8 (8u322-b06-1~deb9u1) stretch-security; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
  * Adapt rules for the move to git and for the new merged repo layout.
  * Security fixes:
    - JDK-8264934, CVE-2022-21248: Enhance cross VM serialization
    - JDK-8268488: More valuable DerValues
    - JDK-8268494: Better inlining of inlined interfaces
    - JDK-8268512: More content for ContentInfo
    - JDK-8268795: Enhance digests of Jar files
    - JDK-8268801: Improve PKCS attribute handling
    - JDK-8268813, CVE-2022-21283: Better String matching
    - JDK-8269151: Better construction of EncryptedPrivateKeyInfo
    - JDK-8269944: Better HTTP transport redux
    - JDK-8270392, CVE-2022-21293: Improve String constructions
    - JDK-8270416, CVE-2022-21294: Enhance construction of Identity maps
    - JDK-8270492, CVE-2022-21282: Better resolution of URIs
    - JDK-8270498, CVE-2022-21296: Improve SAX Parser configuration management
    - JDK-8270646, CVE-2022-21299: Improved scanning of XML entities
    - JDK-8271962: Better TrueType font loading
    - JDK-8271968: Better canonical naming
    - JDK-8271987: Manifest improved manifest entries
    - JDK-8272014, CVE-2022-21305: Better array indexing
    - JDK-8272026, CVE-2022-21340: Verify Jar Verification
    - JDK-8272236, CVE-2022-21341: Improve serial forms for transport
    - JDK-8272272: Enhance jcmd communication
    - JDK-8272462: Enhance image handling
    - JDK-8273290: Enhance sound handling
    - JDK-8273748, CVE-2022-21349: Improve Solaris font rendering
    - JDK-8273756, CVE-2022-21360: Enhance BMP image support
    - JDK-8273838, CVE-2022-21365: Enhanced BMP processing
  * Other changes, see
    https://mail.openjdk.java.net/pipermail/jdk8u-dev/2022-January/014522.html

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 09 Feb 2022 11:40:17 +0100

openjdk-8 (8u312-b07-1~deb9u1) stretch-security; urgency=medium

  * Disable tests (debian/README.source documents why they fail)
  * Build for stretch LTS, jessie ELTS
  * Effort sponsored by ⮡ tarent

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 06 Nov 2021 18:41:21 +0100

openjdk-8 (8u312-b07-1) unstable; urgency=medium

  * New upstream release (GA)
  * Security fixes:
    - JDK-8130183, CVE-2021-35588: InnerClasses: VM permits wrong
      Throw ClassFormatError if InnerClasses attribute's
      inner_class_info_index is 0
    - JDK-8161016: Strange behavior of URLConnection with proxy
    - JDK-8163326, CVE-2021-35550: Update the default enabled cipher
      suites preference
    - JDK-8254967, CVE-2021-35565: com.sun.net.HttpsServer spins on
      TLS session close
    - JDK-8263314: Enhance XML Dsig modes
    - JDK-8265167, CVE-2021-35556: Richer Text Editors
    - JDK-8265574: Improve handling of sheets
    - JDK-8265580, CVE-2021-35559: Enhanced style for RTF kit
    - JDK-8265776: Improve Stream handling for SSL
    - JDK-8266097, CVE-2021-35561: Better hashing support
    - JDK-8266103: Better specified spec values
    - JDK-8266109: More Resilient Classloading
    - JDK-8266115: More Manifest Jar Loading
    - JDK-8266137, CVE-2021-35564: Improve Keystore integrity
    - JDK-8266689, CVE-2021-35567: More Constrained Delegation
    - JDK-8267086: ArrayIndexOutOfBoundsException in
      java.security.KeyFactory.generatePublic
    - JDK-8267712: Better LDAP reference processing
    - JDK-8267729, CVE-2021-35578: Improve TLS client handshaking
    - JDK-8267735, CVE-2021-35586: Better BMP support
    - JDK-8268193: Improve requests of certificates
    - JDK-8268199: Correct certificate requests
    - JDK-8268506: More Manifest Digests
    - JDK-8269618, CVE-2021-35603: Better session identification
    - JDK-8269624: Enhance method selection support
    - JDK-8270398: Enhance canonicalization
    - JDK-8270404: Better canonicalization
  * Other changes: see
    https://mail.openjdk.java.net/pipermail/jdk8u-dev/2021-October/014373.html
  * Policy 4.6.1, no relevant changes
  * d/copyright: Apply changes since 8u302
  * Upload sponsored by ⮡ tarent

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 05 Nov 2021 23:57:58 +0000

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-unexport LANG LC_ALL
+unexport LANG
+export LC_ALL=C
+unexport LANGUAGE
 
 dh_version := $(shell dpkg-query -f '$${Version}\n' -W debhelper | sed -n 's/^\(.\).*/\1/p')
 
@@ -132,10 +134,7 @@
 ifneq (,$(filter $(DEB_HOST_ARCH), armel))
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
-ifneq (,$(filter $(distrel),precise))
-  with_check = disabled running check on $(distrel)
-endif
-#with_check = disabled for this build
+with_check = disabled for this build
 
 with_docs = $(if $(findstring nodoc, $(DEB_BUILD_OPTIONS)),,yes)
 ifneq (,$(findstring shark, $(PKGSOURCE)))
